Create Reports API

Use this API to create an EASM Summary Report.

POST /rest/2.0/am/report

Input ParametersInput Parameters

Parameter Mandatory/
Optional
Data Type Description
name Mandatory String Name of the report to be created.
description Optional String Description for the report.
timezone Optional String Time zone used for report generation.
format Mandatory String Output format of the report (for example, PDF).
templateName Mandatory String Name of the report template used to generate the EASM report.
query Optional String Query used to filter assets for the report.
filter Optional String Filter used to refine assets included in the report.
reportType Mandatory String Type of report to be generated. For EASM reports, use EASM_LEAD.
resourceTag Optional String Resource tag used to scope report data.
assetList Optional String Comma-separated list of asset IDs to include in the report.
tagList Optional String Comma-separated list of tag IDs used to filter assets.
includeMatchType Optional String Defines how included tags are matched. Supported values include Any or All.
excludeMatchType Optional String Defines how excluded tags are matched. Supported values include Any or All.
excludeTagIds Optional String Comma-separated list of tag IDs to exclude from the report.
softwareTypes Optional String Software types used for filtering report data.
selectedSwType Optional String Specifies selected software types. Example: all.
groupByPivot Optional String Defines grouping of report data. Example: ALL.
riskScoreAdded Optional Boolean Indicates whether risk score data should be included in the report.
hasVMDRAndRisk
ScoreEnabled
Optional Boolean Indicates whether VMDR and risk score features are enabled.
recipient Optional String Email address of the report recipient.
emailSubject Optional String Subject line used for the report email notification.
customMessage Optional String Custom message included in the email notification.
notificationType Optional String Notification method used when the report is generated. Example: email.
emailNotification Optional String Indicates whether email notification is enabled (1 for enabled).
maxNumberOfDownloads Optional Integer Maximum number of times the generated report can be downloaded.
customEmailTemplate Optional String Custom email template used for notifications.
useReportName
AsFilename
Optional String Indicates whether the report name should be used as the file name.
displayTemplateName Optional String Display name of the report template.
generatedFor Optional String Specifies the module for which the report is generated. Example: EASM.

Sample: Create EASM Summary ReportSample: Create EASM Summary Report

API Request

curl X POST
--<qualys_base_url>/rest/2.0/am/report
--header 'Authorization: Bearer <token>'
--header 'Content-Type: application/json'
--data '{
  "name": "EASM Summary Report",
  "description": "EASM SUMMARY REPORT",
  "timezone": "Asia/Calcutta",
  "format": "PDF",
  "templateName": "ITAM_EASM_REPORT_TEMPLATE",
  "filter": "asset.riskScore>90",
  "reportType": "EASM_LEAD",
  "assetList": "78427696,78140051",
  "tagList": "52213635",
  "includeMatchType": "Any",
  "excludeMatchType": "Any",
  "excludeTagIds": "47656726",
  "selectedSwType": "all",
  "groupByPivot": "ALL",
  "riskScoreAdded": true,
  "hasVMDRAndRiskScoreEnabled": true,
  "recipient": "[email protected]",
  "emailSubject": "emailSubject",
  "customMessage": "email",
  "notificationType": "email",
  "emailNotification": "1",
  "maxNumberOfDownloads": 1073741824,
  "useReportNameAsFilename": "1",
  "displayTemplateName": "EASM_LEAD",
  "generatedFor": "EASM"
}'

API Response

{
  "data": {
    "fileUuid": "f5fde510-1b8a-11f1-a10e-63ad41ec1bb5"
  },
  "message": "Request successfully created.",
  "error": null
}